Bug 506871 - Infinite loop in drm_intel_gem_bo_map_gtt hangs the X server
Infinite loop in drm_intel_gem_bo_map_gtt hangs the X server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libdrm (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 21:19 EDT by Thomas Fitzsimmons
Modified: 2010-06-28 09:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:09:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file. (133.79 KB, application/octet-stream)
2009-06-18 21:19 EDT, Thomas Fitzsimmons
no flags Details
typescript recording of gdb session debugging the crash. (44.00 KB, application/octet-stream)
2009-06-18 21:20 EDT, Thomas Fitzsimmons
no flags Details
F12 Xorg.0.log file (676.77 KB, text/plain)
2010-02-24 13:59 EST, Jason Haar
no flags Details

  None (edit)
Description Thomas Fitzsimmons 2009-06-18 21:19:20 EDT
Created attachment 348590 [details]
Xorg log file.

Description of problem:

X server hangs: display does not update, no keyboard control, mouse cursor is still controllable via the track pad.

Version-Release number of selected component (if applicable):

Machine: HP Pavillion dv5t-1000

kernel-PAE-2.6.29.4-167.fc11.i686
libdrm-2.4.6-7.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
xorg-x11-drv-intel-2.7.0-7.fc11.i586
xorg-x11-drv-synaptics-1.1.0-7.fc11.i586

How reproducible:

It's happened once so far.

Steps to Reproduce:
1. Nothing specific.  This happened after about a day and a half of uptime.

Actual results:

X server hangs, except mouse cursor is still controllable via the track pad.

This backtrace appears in /var/log/Xorg.0.log:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/Xorg(mieqEnqueue+0x2c1) [0x810d2f1]
2: /usr/bin/Xorg(xf86PostButtonEvent+0x105) [0x80d0c45]
3: /usr/lib/xorg/modules/input//synaptics_drv.so [0x2d182b]
4: /usr/lib/xorg/modules/input//synaptics_drv.so [0x2d2505]
5: /usr/bin/Xorg [0x80c06f7]
6: /usr/bin/Xorg [0x80b0fe4]
7: [0xa6f400]
8: [0xa6f424]
9: /lib/libc.so.6(ioctl+0x19) [0x485239]
10: /usr/lib/libdrm_intel.so.1(drm_intel_gem_bo_map_gtt+0x7a) [0x2c291a]
11: /usr/lib/xorg/modules/drivers//intel_drv.so [0x6d858d]
12: /usr/lib/xorg/modules/drivers//intel_drv.so(uxa_prepare_access+0x64) [0x6f0a84]
13: /usr/lib/xorg/modules/drivers//intel_drv.so [0x6f1825]
14: /usr/lib/xorg/modules/drivers//intel_drv.so [0x6f1c1d]
15: /usr/bin/Xorg [0x8179030]
16: /usr/bin/Xorg(ProcPutImage+0x159) [0x8083809]
17: /usr/bin/Xorg(Dispatch+0x347) [0x80864d7]
18: /usr/bin/Xorg(main+0x395) [0x806baf5]
19: /lib/libc.so.6(__libc_start_main+0xe6) [0x3c5a66]
20: /usr/bin/Xorg [0x806afa1]
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

with the last message repeated a bunch of times.

Expected results:

X shouldn't hang.

Additional info:

See attached Xorg.0.log and gdb session.
Comment 1 Thomas Fitzsimmons 2009-06-18 21:20:31 EDT
Created attachment 348591 [details]
typescript recording of gdb session debugging the crash.
Comment 2 Armands Liepins 2009-08-03 11:07:20 EDT
Looks like the same bug here. The same simptoms, only newer kernel.

kernel-PAE-2.6.29.6-213.fc11.i686.rpm

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/X(mieqEnqueue+0x2c1) [0x810d2f1]
2: /usr/bin/X(xf86PostMotionEventP+0xd8) [0x80d0e78]
3: /usr/lib/xorg/modules/input//evdev_drv.so [0x4eb715]
4: /usr/bin/X [0x80c06f7]
5: /usr/bin/X [0x80b0fe4]
6: [0xaf1400]
7: /lib/libc.so.6(memcpy+0x5f) [0xc902bf]
8: /usr/lib/xorg/modules//libfb.so(fbBlt+0x9d9) [0xe822b9]
9: /usr/lib/xorg/modules//libfb.so(fbCopyNtoN+0x24c) [0xe8547c]
10: /usr/lib/xorg/modules/drivers//intel_drv.so(uxa_copy_n_to_n+0x74a) [0x3771aa]
11: /usr/lib/xorg/modules//libfb.so(fbCopyRegion+0x21b) [0xe8441b]
12: /usr/lib/xorg/modules//libfb.so(fbDoCopy+0x44d) [0xe8493d]
13: /usr/lib/xorg/modules/drivers//intel_drv.so(uxa_copy_area+0x98) [0x376a08]
14: /usr/bin/X [0x8178e13]
15: /usr/bin/X(ProcCopyArea+0x165) [0x8084835]
16: /usr/bin/X(Dispatch+0x347) [0x80864d7]
17: /usr/bin/X(main+0x395) [0x806baf5]
18: /lib/libc.so.6(__libc_start_main+0xe6) [0xc2ba66]
19: /usr/bin/X [0x806afa1]
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnqueue: more than six valuator events; dropping.
Comment 3 Vedran Miletić 2009-09-06 05:25:15 EDT
Likely a duplicate.

*** This bug has been marked as a duplicate of bug 464866 ***
Comment 4 Lubomir Rintel 2009-12-19 07:00:59 EST
Not a duplicate, reopening; hang in the other bug doesn't track back to drm_intel_gem_bo_map_gtt. Hitting the same bug in 845G in fc12 GA (updating just now to see if it helps)
Comment 5 Jason Haar 2010-02-24 13:57:26 EST
Me too. I've got a Dell D430 laptop and X routinely (~50% of time) hangs soon (max couple of hours) after un-sleeping it. The symptom is that X is frozen, the mouse moves, but I cannot Ctrl-Alt-F3 to a console. Remote access still works, so I ssh in and can do nothing to fix and end up rebooting.

I'll attach the Xorg.0.log - there is no xorg.conf 

Note: I'm seeing this under F12 - but also saw it under F11 - it's been the single biggest pain with this laptop. You should probably change this ticket to F12 so that this doesn't auto-expire?

lspci shows the video card to be

 00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
Comment 6 Jason Haar 2010-02-24 13:59:01 EST
Created attachment 396128 [details]
F12 Xorg.0.log file
Comment 7 Bug Zapper 2010-04-27 11:05:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 09:09:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.